<p>
    <text style="color:darkred">Na ovoj stranici upoznati ćemo se s izvedbom dvostrukog bistabila <b>JK</b>.</text>
</p>
<hr>
<h3><b>Dvostruki bistabil <b>JK</b> izveden pomoću sklopova NI</b></h3>
<p>
    Na sljedećoj simulaciji ostvaren je dvostruki bistabil <b>JK</b>. Bistabil smo ostvarili uporabom bistabila
    <b>SR</b> i dodatnih logičkih sklopova NI.
    Na prvi troulazni sklop NI spojen je signal takta (<b>CP</b>), ulaz J i izlaz drugog bistabila <b>SR</b> (lijevi
    bistabil), \(\overline{Q}\). Na ulaze drugog sklopa NI spojili smo <b>CP</b>, ulaz <b>K</b> i izlaz \(Q\) drugog
    bistabila <b>SR</b>. Dodatno smo na signal takta spojili invertor i povezali ga s drugim bistabilom <b>SR</b> (desni
    bistabil). </p>
<p style="color:darkRed">Zašto? Saznajte u nastavku.</p>

<p>
    Kako bi riješili oscilacije bistabila <b>JK</b> s prethodne stranice, upotrijebili smo dva bistabila <b>SR</b>,
    jednome smo pridružili ulaz <b>CP</b> a drugome njegov komplement. Ovakvim spajanjem osigurali smo da oba bistabila
    ne djeluju u trenutku kada se promijene ulazi bistabila. Naime, pogledajmo sljedeći primjer:
</p>
<p>
    Pretpostavimo da je bistabil u stanju <b>1</b>. Napravite potrebne promjene kako bi dobili kombinaciju
    <code>011</code> za <b>J</b>, <b>K</b> i <b>CP</b> respektivno.
</p>

<p>
    Postavljanjem ulaza <b>K</b> u jedinicu, prvi će bistabil prijeći u stanje <b>0</b>. Ta promjena biti će zabilježena
    kod ulaza S i R drugog bistabila. Uočite da izlazi prvog bistabila <b>SR</b> upravljaju ulazima drugog. Kako sada
    imamo \(Q_1 = 0\) i \(\overline{Q_1} = 1\); na ulazima drugog bistabila <b>SR</b> imamo kombinaciju <code>01</code>,
    međutim i drugi bistabil <b>SR</b> ovisi o <b>CP-u</b>. Tek nakon što prebacimo signal takta u nulu (isprobajte to),
    na izlazu invertora pojavit će se vrijednost <b>1</b>; tada će i drugi bistabil <b>SR</b> poslušati svoje ulaze i
    obaviti resetiranje.
</p>

<p>
    Ponovimo sada još jednom ovaj proces. Postavite sada ulaz <b>J</b> u jedinicu te postavite ulaz <b>CP</b> ponovo u
    <b>1</b>. Sada ste postavili prvi bistabil <b>SR</b> u <b>1</b> odnosno \(Q_1 = 1\) i \(\overline{Q_1} = 0\). Te
    vrijednosti doći će na ulaze drugog bistabila i on će čekati dok ne promijenimo signal takta u nulu, te će tada
    ažurirati svoje izlaze. Kako je sada na ulazima drugog bistabila <b>SR</b> kombinacija <code>10</code>, stanje
    bistabila postat će <b>1</b>. Isprobajte ovaj slučaj i uvjerite se u opisani rad.
</p>
<hr>
<div align="center">
    <canvas id="doubleJK" width="870px" height="550px"></canvas>
</div>
<hr>
<p>
    Jednom kada ste isprobali gore opisane kombinacije, isprobajte kako se ovako izvedeni bistabil <b>JK</b> ponaša za
    kombinaciju <code>11</code>. Da biste to isprobali, postavite najprije <b>CP</b> u 1 te <b>J</b> i <b>K</b> na
    vrijednost <b>1</b>. Ako je prvi bistabil bio u stanju <b>1</b> njegovi će izlazi biti \(Q_1 = 0\) i
    \(\overline{Q_1} = 1\). Ako je bio u stanju <b>0</b> njegovi će izlazi biti suprotni. Nakon toga, jednim klikom na
    kućicu signala takta prebacite mu vrijednost na <b>0</b> i pogledajte što će se dogoditi. Izlazi drugog bistabila
    također će promijeniti stanje. Sada naizmjence mijenjajte ulaz <b>CP</b> i uočite kako se bistabil ponaša kako smo i
    opisali na prethodnoj stranici. Za kombinaciju <code>11</code> na ulazima <b>J</b> i <b>K</b> bistabil će mijenjati
    stanje, ali ovaj puta bez oscilacija.
</p>
<br>
<h3><b>Dvostruki bistabil <b>JK</b> izveden pomoću NI sklopova (dodano kašnjenje)</b></h3>
<p>
    Na sljedećoj shemi imamo dvostruki bistabil <b>JK</b> baš kao i na prethodnoj simulaciji. Razlika je u kašnjenju
    logičkih sklopova. Na ovoj simulaciji svaka logička razina kasnit će 500 ms. Isprobajte i ovu simulaciju.
</p>


<h3 style="color:darkred"><b>Napomena</b></h3>
<p style="color:darkblue;font-style:italic">
    Slično kao i na prethodnim simulacijama, prebrzim mijenjanjem ulaza i ovaj će bistabil zasvijetliti poput svjetleće
    diode (pripazite na to; ili isprobajte). Ako se gore opisano dogodi, učitajte ovu stranicu ponovo i nastavite od
    tamo gdje ste stali.
</p>

<hr>
<div align="center">
    <canvas id="doubleJKDelay" width="870px" height="550px"></canvas>
</div>
<hr>

<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(example2.js)*/
    /*@#page-include#(example2Delay.js)*/
</script>

<p>
    <text style="color:darkred">Na sljedećoj stranici upoznat ćemo se i s ostalim bistabilima.</text>
</p>